---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T12:43:37Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:43:37Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:14:37Z"
  name: odf-prometheus-operator.openshift-storage
  resourceVersion: "2219441"
  uid: e4a3ce2c-bdad-4e02-b7e5-838738aca060
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/odf-prometheus-operator.openshift-storage
        operator: Exists
    refs:
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:53Z"
        lastUpdateTime: "2025-10-27T12:43:53Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: odf-prometheus-operator.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:53Z"
        lastUpdateTime: "2025-10-27T12:43:53Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      - lastTransitionTime: "2025-10-27T12:43:53Z"
        lastUpdateTime: "2025-10-27T12:43:53Z"
        message: ReplicaSet "prometheus-operator-66f9b6c4bd" has successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      kind: Deployment
      name: prometheus-operator
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:28Z"
        lastUpdateTime: "2025-10-27T12:44:28Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-npnkp
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v2
      kind: OperatorCondition
      name: odf-prometheus-operator.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: odf-prometheus-operator.-8qKuA321c27VpDR7OOxrb57WXPGVET7M4DIMOX
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: odf-prometheus-operator.-by7bzZMZgOvbIigbxTgp763f7UQnfzmrZlPVuh
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: odf-prometheus-operator.-8qKuA321c27VpDR7OOxrb57WXPGVET7M4DIMOX
      namespace: openshift-storage
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: odf-prometheus-operator.-by7bzZMZgOvbIigbxTgp763f7UQnfzmrZlPVuh
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: prometheus-k8s
      namespace: openshift-storage
    - apiVersion: v1
      kind: ServiceAccount
      name: prometheus-operator
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:03:35Z"
        message: targeted catalogsource openshift-marketplace/redhat-operators missing
        reason: UnhealthyCatalogSourceFound
        status: "True"
        type: CatalogSourcesUnhealthy
      - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
          in namespace openshift-marketplace referenced by subscription ocs-subscription,
          subscription ocs-subscription exists'
        reason: ConstraintsNotSatisfiable
        status: "True"
        type: ResolutionFailed
      kind: Subscription
      name: odf-prometheus-operator-stable-4.19-redhat-operators-openshift-marketplace
      namespace: openshift-storage
